<template>
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="card">
            <div class="header">
                <h2>
                    <strong>Basic</strong> Information
                    <small>Description text here...</small>
                </h2>
                <ul class="header-dropdown">
                    <li class="remove">
                        <a role="button" class="boxs-close"
                            ><i class="zmdi zmdi-close"></i
                        ></a>
                    </li>
                </ul>
            </div>
            <div class="body">
                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <input
                                type="text"
                                class="form-control"
                                placeholder="First Name"
                            />
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <input
                                type="text"
                                class="form-control"
                                placeholder="Last Name"
                            />
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-md-4 row clear-fix">
                        <div class="col-sm-12">
                            <template v-if="property.feature_image">
                                <div class="card">
                                    <div class="body">
                                        <img
                                            :src="property.feature_image"
                                            class="img-fluid"
                                        />
                                    </div>
                                    <button
                                        @click="property.feature_image = null"
                                        class="btn btn-primary btn-block"
                                    >
                                        {{ field.cancel }}
                                    </button>
                                </div>
                            </template>
                            <template>
                                <vue-dropzone
                                    ref="myVueDropzone"
                                    id="dropzone"
                                    :options="dropzoneOptions"
                                    :useCustomSlot="true"
                                    v-on:vdropzone-success="fileCharged"
                                >
                                    <div class="dropzone-custom-content">
                                        <h3 class="text-primary">
                                            <i
                                                class="zmdi zmdi-cloud-upload"
                                                style="font-size:32px"
                                            ></i>
                                        </h3>
                                        <h3 class="text-center">
                                            {{
                                                field.dropzone
                                                    ? field.dropzone.title
                                                    : "Drag and drop to upload content!"
                                            }}
                                        </h3>
                                        <div class="text-center">
                                            {{
                                                field.dropzone
                                                    ? field.dropzone.subtitle
                                                    : "...or click to select a file from your computer"
                                            }}
                                        </div>
                                    </div>
                                </vue-dropzone>
                            </template>
                        </div>
                    </div>
                    <div class="col-md-8 row clear-fix">
                        <div class="col-sm-3">
                            <div class="form-group">
                                <input
                                    type="text"
                                    class="form-control"
                                    placeholder="Date of Birth"
                                />
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <select class="form-control show-tick">
                                <option value="">- Gender -</option>
                                <option value="10">Male</option>
                                <option value="20">Female</option>
                            </select>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <input
                                    type="text"
                                    class="form-control"
                                    placeholder="Speciality"
                                />
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <input
                                    type="text"
                                    class="form-control"
                                    placeholder="Phone"
                                />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <input
                                    type="text"
                                    class="form-control"
                                    placeholder="Enter Your Email"
                                />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <input
                                    type="text"
                                    class="form-control"
                                    placeholder="Website URL"
                                />
                            </div>
                        </div>

                        <div class="col-sm-12">
                            <div class="form-group">
                                <textarea
                                    rows="4"
                                    class="form-control no-resize"
                                    placeholder="Please type what you want..."
                                ></textarea>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <button
                                type="submit"
                                class="btn btn-primary btn-round"
                            >
                                Submit
                            </button>
                            <button
                                type="submit"
                                class="btn btn-default btn-round btn-simple"
                            >
                                Cancel
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="header">
                <h2>
                    <strong>Basic</strong> Information
                    <small>Description text here...</small>
                </h2>
            </div>
            <div class="body">
                <div class="row clearfix">
                    <div class="col-md-12 row clear-fix">
                        <div class="col-sm-12">
                            <template v-if="property.gallery.length > 0">
                                <div class="row clear-fix">
                                    <div
                                        :class="
                                            property.gallery.length < 4
                                                ? 'col'
                                                : 'col-3'
                                        "
                                        v-for="(a, i) in property.gallery"
                                        :key="i"
                                    >
                                        <img
                                            :src="a"
                                            alt=""
                                            class="img-fluid"
                                        />
                                        <button
                                            @click="filterImage(i)"
                                            class="btn btn-block btn-danger"
                                        >
                                            {{ field.cancel }}
                                        </button>
                                    </div>
                                </div>
                            </template>
                            <template v-if="property.gallery.length < 15">
                                <vue-dropzone
                                    ref="myVueDropzone"
                                    id="dropzone"
                                    :options="dropzoneOptionsGallery"
                                    :useCustomSlot="true"
                                    v-on:vdropzone-success="galleryCharged"
                                >
                                    <div class="dropzone-custom-content">
                                        <h3 class="text-primary">
                                            <i
                                                class="zmdi zmdi-cloud-upload"
                                                style="font-size:32px"
                                            ></i>
                                        </h3>
                                        <h3 class="text-center">
                                            {{
                                                field.dropzone
                                                    ? field.dropzone.title
                                                    : "Drag and drop to upload content!"
                                            }}
                                        </h3>
                                        <div class="text-center">
                                            {{
                                                field.dropzone
                                                    ? field.dropzone.subtitle
                                                    : "...or click to select a file from your computer"
                                            }}
                                        </div>
                                    </div>
                                </vue-dropzone>
                            </template>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
import vue2Dropzone from "vue2-dropzone";
import "vue2-dropzone/dist/vue2Dropzone.min.css";
import { required, minLength, between, email } from "vuelidate/lib/validators";
import VuePhoneNumberInput from "vue-phone-number-input";
import "vue-phone-number-input/dist/vue-phone-number-input.css";
import VueGoogleAutocomplete from "vue-google-autocomplete";
export default {
    props: ["lang"],
    components: {
        vueDropzone: vue2Dropzone,
        VuePhoneNumberInput: VuePhoneNumberInput,
        VueGoogleAutocomplete
    },
    mounted() {},
    data() {
        return {
            dropzoneOptions: {
                url: "/api/files/stored",
                addRemoveLinks: true,
                thumbnailWidth: 150,
                maxFilesize: 0.5,
                acceptedFiles: "image/*",
                capture: true,
                uploadMultiple: false,
                maxFiles: 1,
                headers: {
                    Authorization:
                        "Bearer " +
                        decodeURIComponent(localStorage.getItem("req_token"))
                }
            },
            dropzoneOptionsGallery: {
                url: "/api/files/stored",
                addRemoveLinks: true,
                thumbnailWidth: 150,
                maxFilesize: 0.5,
                acceptedFiles: "image/*",
                capture: true,
                maxFiles: 15,
                headers: {
                    Authorization:
                        "Bearer " +
                        decodeURIComponent(localStorage.getItem("req_token"))
                }
            },
            field: this.lang,
            property: {
                feature_image: null,
                gallery: []
            }
        };
    },
    methods: {
        fileCharged(file, res) {
            this.property.feature_image = res;
        },
        galleryCharged(file, res) {
            this.property.gallery.push(res);
        },
        filterImage(a) {
            this.property.gallery.splice(a, 1);
        },
        calcMaxFile() {
            let res;
            this.property.gallery.length - 15 > 1
                ? (res = this.property.gallery.length - 15)
                : (res = 0);
            return res;
        }
    }
};
</script>
